import Ste from "asv-hlps/lib/cjs/users/models/Ste";
import User from "asv-hlps/lib/cjs/users/models/User";
import ProductIn from "asv-hlps/lib/cjs/products/models/ProductIn";
import { BuyProduct } from "./BuyProduct";
export interface Buy {
    author: User;
    buyProducts: BuyProduct[];
    createdAt: Date;
    buyDate: Date | string;
    id: number;
    ins: ProductIn[];
    isReceived: boolean;
    isSaved: boolean;
    isClosed: boolean;
    fromInventory: boolean;
    isArchived: boolean;
    isSended: boolean;
    isStandby: boolean;
    isValided: boolean;
    nbProducts: number;
    pvd: Ste;
    receivedDate: Date;
    ref: string;
    sendDate: Date | string;
    otherCosts: number;
    shippingCosts: number;
    totalAmount: number;
    totalQtity: number;
    updatedAt: Date;
    directReceived: boolean;
}
